Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class SocksChain

    java.lang.Object
      com.stc.eways.batchext.SocksChain

    public class SocksChain

extends java.lang.Object

This class implements a SOCKS chain. Socks A ==> Socks B ==> Socks C ==> ... ==> Socks Z.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/02/25 16:56:24 $
Author:
  Harry Liu

Constructor Summary
`SocksChain()` Constructor.
`SocksChain(Socks[] socksList)` Constructor.

Method Summary
`boolean` | `add(Socks socks)` Appends the specified SOCKS object to the end of the current chain.
`int` | `chainSize()` Returns the number of SOCKS objects in this SOCKS chain.
`Socks` | `get(int index)` Returns the SOCKS object at the specified position in the current chain.
`static void` | `main(java.lang.String[] args)` Used to do stand-alone testing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocksChain

    public SocksChain(Socks[] socksList)
               throws SocksException

  Constructor. Construct a SOCKS chain by taking a SOCKS array as its input.

  Parameters:
    `socksList` - A list of SOCKS objects.
  Throws:
    `SocksException` - If some error occurs.

### SocksChain

    public SocksChain()

  Constructor. Constructs an empty SOCKS chain.

Method Detail

### add

    public boolean add(Socks socks)
                throws SocksException

  Appends the specified SOCKS object to the end of the current chain.

  Parameters:
    `socks` - A SOCKS object.
  Returns:
    true or false.
  Throws:
    `SocksException` - If some error occurs.

### chainSize

    public int chainSize()

  Returns the number of SOCKS objects in this SOCKS chain.

  Returns:
    The size of the SOCKS chain.

### get

    public Socks get(int index)

  Returns the SOCKS object at the specified position in the current chain.

  Parameters:
    `index` - The position of SOCKS object.
  Returns:
    The SOCKS object at the specified position.

### main

    public static void main(java.lang.String[] args)

  Used to do stand-alone testing.

  Parameters:
    `args` - Command-line parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD